Describe an Action's dynamic fields
curl --request GET \
--url https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/describe \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/describe"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/describe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Actions
Describe an Action's dynamic fields
Resolve the options for a field whose values depend on earlier answers, such as the folders in a connected account.
GET
/
api
/
workspaces
/
{workspaceId}
/
actions
/
{actionId}
/
describe
Describe an Action's dynamic fields
curl --request GET \
--url https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/describe \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/describe"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/describe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Field to resolve options for.
Resolve the label for one already-chosen value.
Free-text filter over the options.
Filter options by category.
Maximum options to return.
Response
Successful response
The response is of type object.